1 Reply Latest reply: Jul 27, 2013 10:00 AM by Klaus1
John Palumbo Level 1 Level 1 (5 points)

I need to upgade operating system to at least 10.6 Can I???


Imac G5, Mac OS X (10.4.1)